Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.acl
Interface ListableRealm

All Known Subinterfaces:
  ManageableRealm

All Known Implementing Classes:
  AbstractListableRealm

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by Pluggable Security Infrastructure.

public interface ListableRealm
extends BasicRealm

A ListableRealm extends BasicRealm and adds the ability to list its instances.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Method Summary
`java.util.Enumeration` | `getAcls()` Deprecated. Gets an Enumeration of the Acls in a ListableRealm.
`java.util.Enumeration` | `getGroups()` Deprecated. Gets an Enumeration of the Groups in a ListableRealm.
`java.util.Enumeration` | `getPermissions()` Deprecated. Gets an Enumeration of the Permissions in a ListableRealm.
`java.util.Enumeration` | `getUsers()` Deprecated. Gets an Enumeration of the in a ListableRealm.

Methods inherited from interface weblogic.security.acl.BasicRealm
`getAcl, getAcl, getAclOwner, getGroup, getName, getPermission, getUser, getUser, init, load, save`

Method Detail

### getUsers

    public java.util.Enumeration getUsers()

  Deprecated.
  Gets an Enumeration of the in a ListableRealm. The enumerated objects are of instance User.

  Returns:
    Enumeration of User objects

### getGroups

    public java.util.Enumeration getGroups()

  Deprecated.
  Gets an Enumeration of the Groups in a ListableRealm. The enumerated objects are of instance Group.

  Returns:
    Enumeration of Group objects

### getAcls

    public java.util.Enumeration getAcls()

  Deprecated.
  Gets an Enumeration of the Acls in a ListableRealm. The enumerated objects are of instance Acl.

  Returns:
    Enumeration of Acl objects

### getPermissions

    public java.util.Enumeration getPermissions()

  Deprecated.
  Gets an Enumeration of the Permissions in a ListableRealm. The enumerated objects are of instance Permission.

  Returns:
    Enumeration of Permission objects

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference